package net.adphi.apps.parseapplication

import android.app.Application
import com.parse.Parse
import com.parse.ParseLiveQueryClient
import net.adphi.apps.parseapplication.Utils.getTAG
import net.adphi.apps.parseapplication.Utils.registerParseObject
import java.net.URI


/**
 * Created by Philippe-Adrien on 25/03/2018.
 */

@Suppress("UNUSED")
class ParseApplication : Application() {

    private val TAG: String = getTAG(this)

    override fun onCreate() {
        super.onCreate()

        registerParseObject()
        val config: Parse.Configuration = Parse.Configuration.Builder(this)
                .maxRetries(0).build()
        Parse.initialize(config)
        val liveQueryClient = ParseLiveQueryClient.Factory.getClient(URI("wss://parsetest.back4app.io"))
    }
}